View Issue Details

IDProjectCategoryLast Update
0020151AI War 2[All Projects] GUIJun 6, 2019 11:32 am
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version0.766 Target Equilibrium 
Fixed in Version 
Summary0020151: Completely redo lobby (parent).
DescriptionNote that it will be recreated from the ground up, based on this: https://forums.arcengames.com/ai-war-ii/devs-requesting-feedback-new-lobby-design/
TagsNo tags attached.

Relationships

parent of 0020121 resolvedx4000Bughunter Cant get Ark(Thanatos) after restart. Old bug still here. 
parent of 0019999 resolvedx4000Bughunter Can't select most AI difficulties for Sentinels in lobby 
parent of 0019860 resolvedx4000Bughunter Custom Game screen, changing screens with faction drop down open prevents further input. 
parent of 0019783 resolvedx4000Bughunter Lobby Minor faction color changes 
parent of 0019763 feedbackx4000Bughunter Part of a Faction tooltip gets glued to my cursor after trying to pick the Marauders 
parent of 0019757 resolvedx4000Bughunter Sometimes the lobby screen doesn't work 
parent of 0019758 resolvedx4000Bughunter You can delete units on the lobby screen 
parent of 0019650 resolvedx4000Bughunter Closing windows to work better. 
parent of 0019638 resolvedx4000Bughunter The options in the lobby stack and don't go away if you click on something else 
parent of 0019610 resolvedx4000Bughunter UI difficulty with game lobby dropdowns 
parent of 0019470 resolvedx4000Bughunter You can create new games with the same Campaign name 
parent of 0020230 resolvedx4000Bughunter Scripted Quick Starts 
parent of 0020404 resolvedDominus Arbitrationis Can't adjust AI difficulty below 6 due to clipping with top of screen 
parent of 0020405 resolvedx4000Bughunter Selecting one option doesn't remove drop boxes for other options in start game 
parent of 0021064 resolvedx4000Bughunter Confusing to toggle off Extra Options in campaign setup 
parent of 0021056 resolvedx4000Bughunter Changing player colour in the game lobby doesn't work 
parent of 0020845 resolvedx4000Bughunter Error on lobby screen 
parent of 0021215 resolvedx4000Bughunter Game broke when I pressed start 
parent of 0019767 resolvedBadgerBadger Make the main menu music continue in game setup 
parent of 0021241 assignedx4000Bughunter Lobby V2: the log to actually show changes that happen. 
parent of 0021242 assignedx4000Bughunter Lobby V2: the sliders and textboxes to only send changes incrementally. 
parent of 0021243 resolvedx4000Bughunter Lobby V2: the dropdowns to show the nice text and not the internalname text on factions tab. 
parent of 0021244 assignedx4000Bughunter Lobby V2: better prefab options for color pickers in lobby (to match those used by default for those factions) 
parent of 0021245 assignedx4000Bughunter Lobby V2: Map tab to always be centered on the map, etc. 
parent of 0021254 assignedx4000Bughunter Lobby V2: have the Options tab remember its values between runs of the game. 
parent of 0021263 assignedx4000Bughunter Add the ability to have multiple planet naming schemes. 
parent of 0021280 assignedx4000Bughunter Lobby V2: subsequent players and AIs to actually use their extra colors. 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
Sep 5, 2018 8:10 pm x4000Bughunter New Issue
Sep 5, 2018 8:10 pm x4000Bughunter Status new => assigned
Sep 5, 2018 8:10 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 8:11 pm x4000Bughunter Relationship added parent of 0020121
Sep 5, 2018 8:11 pm x4000Bughunter Relationship added parent of 0019999
Sep 5, 2018 8:11 pm x4000Bughunter Relationship added parent of 0019851
Sep 5, 2018 8:11 pm x4000Bughunter Relationship deleted parent of 0019851
Sep 5, 2018 8:12 pm x4000Bughunter Relationship added parent of 0019860
Sep 5, 2018 8:13 pm x4000Bughunter Relationship added parent of 0019783
Sep 5, 2018 8:13 pm x4000Bughunter Relationship added parent of 0019763
Sep 5, 2018 8:13 pm x4000Bughunter Relationship added parent of 0019757
Sep 5, 2018 8:13 pm x4000Bughunter Relationship added parent of 0019758
Sep 5, 2018 8:14 pm x4000Bughunter Relationship added parent of 0019650
Sep 5, 2018 8:14 pm x4000Bughunter Relationship added parent of 0019638
Sep 5, 2018 8:14 pm x4000Bughunter Relationship added parent of 0019610
Sep 6, 2018 10:15 am x4000Bughunter Relationship added parent of 0019470
Sep 6, 2018 4:32 pm x4000Bughunter Relationship added related to 0020230
Sep 30, 2018 1:47 pm BadgerBadger Relationship added related to 0020404
Sep 30, 2018 1:47 pm BadgerBadger Relationship added related to 0020405
Sep 30, 2018 2:02 pm Dominus Arbitrationis Relationship replaced parent of 0020404
Sep 30, 2018 2:04 pm Dominus Arbitrationis Relationship replaced parent of 0020230
Sep 30, 2018 2:04 pm Dominus Arbitrationis Relationship replaced parent of 0020405
May 17, 2019 8:57 pm x4000Bughunter Relationship added parent of 0021064
May 17, 2019 8:58 pm x4000Bughunter Relationship added parent of 0021056
May 17, 2019 8:58 pm x4000Bughunter Relationship added parent of 0020845
May 17, 2019 8:59 pm x4000Bughunter Relationship added parent of 0021215
May 24, 2019 3:51 pm RocketAssistedPuffin Relationship added parent of 0019767
May 29, 2019 10:30 pm x4000Bughunter Relationship added parent of 0021241
May 29, 2019 10:31 pm x4000Bughunter Relationship added parent of 0021242
May 29, 2019 10:32 pm x4000Bughunter Relationship added parent of 0021243
May 29, 2019 10:33 pm x4000Bughunter Relationship added parent of 0021244
May 29, 2019 10:37 pm x4000Bughunter Relationship added parent of 0021245
May 31, 2019 12:58 pm x4000Bughunter Relationship added parent of 0021254
Jun 4, 2019 9:49 am x4000Bughunter Relationship added parent of 0021263
Jun 6, 2019 11:32 am x4000Bughunter Relationship added parent of 0021280